package controller;

import config.TemplateConfig;
import utils.YmlUtils;
import view.Axis;
import view.AxisBorder;

import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;

import static utils.AxisUtils.drawAxis;

/**
 * @author duh
 * @create 2018/7/17 15:06
 * @email duh@elab-plus.com
 **/
public class MyFrame {
    public static void main(String[] args) throws Exception {
        TemplateConfig template = YmlUtils.readYml();
        int width = template.getRoom().getWidth();
        int height = template.getRoom().getLength();

        AxisBorder axisBorder = new AxisBorder(60, 60, 40, 40, 0xffffff);
        BufferedImage bufferedImage = new BufferedImage(width+axisBorder.getLeft() + axisBorder.getRight(),
                height + axisBorder.getTop() +axisBorder.getBottom(), BufferedImage.TYPE_INT_RGB);
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");

        Graphics2D g = bufferedImage.createGraphics();
        Date startDate = sdf.parse("20140318120000");
        Date endDate = sdf.parse("20140320120000");
        Axis xAxis = new Axis(0x000000, 2, "长", "datetime", 0, 0, 5, startDate, endDate, "");
        Axis yAxis = new Axis(0x000000, 2, "宽", "value", 30, 0, 5, null, null, "");
        drawAxis(axisBorder, xAxis, yAxis, width, height, g);

        //导出图片
        String pathname = "E:\\config\\test.jpg";
        ImageIO.write(bufferedImage, "jpg", new File(pathname));
    }
}
